Bug 1635590 - cassandra missing cassandra user
Summary: cassandra missing cassandra user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cassandra
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jančo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-03 10:49 UTC by Jakub Jančo
Modified: 2018-11-02 19:21 UTC (History)
1 user (show)

Fixed In Version: cassandra-3.11.1-10.fc27 cassandra-3.11.1-10.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-01 17:10:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Jančo 2018-10-03 10:49:51 UTC
Description of problem:
If I install only cassandra package for client tools, dnf print warning about missing user.

Version-Release number of selected component (if applicable):
3.11.1-7

How reproducible:
Always

Steps to Reproduce:
1. yum install cassandra

Actual results:
  Installing       : cassandra-3.11.1-7.fc28.x86_64                                              136/138 
warning: user cassandra does not exist - using root
warning: group cassandra does not exist - using root


Expected results:
no warnings

Comment 1 Jakub Jančo 2018-10-03 11:13:26 UTC
There is also problem while creating user in cassandra-server:
  Running scriptlet: cassandra-server-3.11.1-7.fc28.x86_64                                           3/3 
/var/tmp/rpm-tmp.esFNen: line 3: getrnt: command not found

Comment 2 Fedora Update System 2018-10-03 14:50:39 UTC
cassandra-3.11.1-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-911354f481

Comment 3 Fedora Update System 2018-10-03 14:50:48 UTC
cassandra-3.11.1-9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c148d96ddc

Comment 4 Fedora Update System 2018-10-04 11:32:13 UTC
cassandra-3.11.1-10.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-705e42b25b

Comment 5 Fedora Update System 2018-10-04 11:32:24 UTC
cassandra-3.11.1-10.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1783bc8921

Comment 6 Fedora Update System 2018-10-05 18:06:26 UTC
cassandra-3.11.1-10.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1783bc8921

Comment 7 Fedora Update System 2018-10-05 19:31:05 UTC
cassandra-3.11.1-10.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-705e42b25b

Comment 8 Fedora Update System 2018-11-01 17:10:03 UTC
cassandra-3.11.1-10.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-02 19:21:53 UTC
cassandra-3.11.1-10.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.